VERSION 5.00
Begin VB.Form Form1 
   Appearance      =   0  'Flat
   BackColor       =   &H00000000&
   Caption         =   "Slideshow"
   ClientHeight    =   2040
   ClientLeft      =   1245
   ClientTop       =   1560
   ClientWidth     =   2160
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00FFFFFF&
   Icon            =   "FORM1.frx":0000
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2040
   ScaleWidth      =   2160
   WindowState     =   2  'Maximized
   Begin VB.PictureBox Picture1 
      Appearance      =   0  'Flat
      AutoSize        =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   1335
      Left            =   0
      ScaleHeight     =   1335
      ScaleWidth      =   1695
      TabIndex        =   0
      Top             =   0
      Width           =   1695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
    iniFileName$ = Command$

    If iniFileName$ = "" Then
        If Dir$("slideshw.ini") = "" Then
            MsgBox "SlideShow: Written 1995 / 1997 by Eric Phelps, Sacramento, CA. Released to public domain." & Chr$(13) & Chr$(10) & "Version 2.0.  No warranty.  At all.  Really.  Source code available by request: ephelps@nextel.com", 0, "SlideShow"
            MsgBox "      Slideshow displays BMP and JPG pictures and plays WAV sound files. SlideShow can also launch other applications and control them via the Windows keyboard buffer." & Chr$(13) & Chr$(10) & "      SlideShow looks for SLIDESHW.INI in the default directory unless another INI file is passed as a command line argument. The INI file must have a section called SlideShow. Instructions in the INI file must have keynames of sequential numbers starting with 1. If WAV files are specified, SlideShow will play them . If an EXE file is specified, SlideShow will run it. If any other file is specified, Slideshow will attempt to display it.", 64, "SlideShow"
            MsgBox "      Additional INI file keynames are title (Sets the caption on SlideShow's title bar), loop (Allows a slideshow to repeat from the specified loop point to the end), delaynext (Specify a delay in seconds after the next instruction), sendkeys (Allows control of other applications with VB key abbreviations), and appactivate (Gives focus to any application you know the title bar of. Use before using sendkeys). WAV sound files are played synchronously (the system is locked up while playing) to facilitate synchronizing sound and pictures."
            MsgBox "Example INI file:" & Chr$(13) & Chr$(10) & Chr$(13) & Chr$(10) & "[SlideShow]" & Chr$(13) & Chr$(10) & "title=Consolidated Widgets" & Chr$(13) & Chr$(10) & "loop=8" & Chr$(13) & Chr$(10) & "1=c:\shows\intro.bmp" & Chr$(13) & Chr$(10) & "2=c:\shows\greeting.wav" & Chr$(13) & Chr$(10) & ";Next delay gives Word time to load and display" & Chr$(13) & Chr$(10) & "3=delaynext 100" & Chr$(13) & Chr$(10) & "4=word.exe report.doc" & Chr$(13) & Chr$(10) & ";Now activate Word in preparation for sendkeys" & Chr$(13) & Chr$(10) & "5=appactivate microsoft word - report.doc" & Chr$(13) & Chr$(10) & ";Next delay gives time for Word to close" & Chr$(13) & Chr$(10) & "6=delaynext 10" & Chr$(13) & Chr$(10) & "7=sendkeys %FX" & Chr$(13) & Chr$(10) & ";Repeat from here" & Chr$(13) & Chr$(10) & "8=c:\shows\salesdat.bmp" & Chr$(13) & Chr$(10) & "9=c:\shows\badnews.wav" & Chr$(13) & Chr$(10) & "10=c:\shows\wrapup.bmp" & Chr$(13) & Chr$(10) & "11=c:\shows\byebye.wav", 0, "SlideShow"
            End
        Else
            iniFileName$ = "slideshw.ini"
        End If
    End If


    ChDrive JustPath$(iniFileName$)
    ChDir JustPath$(iniFileName$)


    Instruction = INI_Value(iniFileName$, "SlideShow", "title")
    If Instruction = "" Then
        Form1.Caption = "SlideShow"
    Else
        Form1.Caption = Instruction
    End If
    Form1.Picture1.Visible = False

    Instruction = INI_Value(iniFileName$, "SlideShow", "loop")
    If Instruction = "" Then
        Repeat% = 0
    Else
        Repeat% = CInt(Instruction)
    End If

    Form1.Show
    n = 1
    Do
        x = -1
        Do While x = -1
            x = ProcessINI(CStr(n))
            DoEvents
            n = n + 1
        Loop
        n = Repeat%
    Loop While Repeat% <> 0

    Form_Unload (0)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Close
    End
End Sub

